Bug 114569 - make bzImage isn't valid option when making new kernel
make bzImage isn't valid option when making new kernel
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-01-29 12:19 EST by David A. Lethe
Modified: 2007-04-18 13:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David A. Lethe 2004-01-29 12:19:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET 
CLR 1.1.4322)

Description of problem:
I can't make a new kernel with the stock 7.2 release. I'm reading the 
online documentation, and all is going well when building kernel.

Until I enter "make bzImage" per documentation.  The command is not 
valid, and there is no such option in the makefile.  How do I build a 
custom kernel?  

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. enter make bzImage 

Actual Results:  make: *** No rule to make target `bzImage'.  Stop.

Expected Results:  Expected it to continue building kernel. 

Additional info:
Comment 1 Arjan van de Ven 2004-01-29 13:42:02 EST
ia64 indeed does not have bzImage target...

Fwiw 7.2/ia64 is end-of-life and only works on merced-class cpus (eg
Itanium I not the Itanium II cpus that are current)
Comment 2 David A. Lethe 2004-01-29 13:50:41 EST
I have itanium-1 system, and the O/S has been in production for 
several years. This is first time I needed to rebuild the kernel. I'm 
using stock distibution, and the Makefile doesn't create an option 
for bzImage, or anything similar.  make clean, make dep all worked 

Comment 3 Bugzilla owner 2004-09-30 11:41:49 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.